Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## [Groovy] Class HelpEvaluatingCategory

    java.lang.Object
      HelpEvaluatingCategory

    class HelpEvaluatingCategory

Property Summary
`static java.lang.Object` | `defaultTask`
`static java.lang.Object` | `helpText`

Method Summary
`static java.lang.Object` | `getDefaultDescription(java.lang.Object obj)`
`static java.lang.Object` | `setDefaultTarget(java.lang.Object obj, java.lang.Object val)`
`static java.lang.Object` | `target(java.lang.Object obj, Map args, Closure callable)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### defaultTask

    static java.lang.Object defaultTask

### helpText

    static java.lang.Object helpText

Method Detail

### getDefaultDescription

    static java.lang.Object getDefaultDescription(java.lang.Object obj)

### setDefaultTarget

    static java.lang.Object setDefaultTarget(java.lang.Object obj, java.lang.Object val)

### target

    static java.lang.Object target(java.lang.Object obj, Map args, Closure callable)

Groovy Documentation